## kdeplasma-addons 5.13.5

=== debian/changelog ===
kdeplasma-addons (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Breaks/Replaces for moved files in 5.13.
    - Seperate install files for plasma-widget-addons on pp64el and
      s390x instead of mangling install in debian/rules. This works
      better with our custom dh_kubuntu_list-missing.
    - qml-ignore file for Kubuntu CI builds

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:36 +0100

kdeplasma-addons (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:31 +0200

kdeplasma-addons (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Breaks/Replaces for moved files in 5.13.
    - Seperate install files for plasma-widget-addons on pp64el and
      s390x instead of mangling install in debian/rules. This works
      better with our custom dh_kubuntu_list-missing.
    - qml-ignore file for Kubuntu CI builds

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 15:20:06 +0100

kdeplasma-addons (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:56 +0200

kdeplasma-addons (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:36 +0100

kdeplasma-addons (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * Install files for newly ported CharacterRunner
  * konsolesessions.desktop renamed, and now caught by existing
    wildcard in install files
  * Install files for new keyboard indicator plasmoid
  * libplasmaweatherprivate.so not built now. remove from install
  * Build deps on libkf5holidays-dev and libkf5declarative-dev for
    the new Astronomical Events Calendar plugin, and install in a new
    plasma-calendar-addons package
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:33 +0100

kdeplasma-addons (4:5.13.2-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * Add new binary package for the calendar addons
  * Update the not-installed file
  * Update the addons listed in the package descriptions
  * Update copyright information
  * Drop old not-installed entries
  * Install the webbrowser applet only when built
  * Drop special lancelot clean rule
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 02 Jul 2018 14:10:50 +0200

kdeplasma-addons (4:5.13.1-1) unstable; urgency=medium

  * New revision
  * Add recommends for ksysguard (Closes: 900523)
  * Use libscim-dev build dependency.
    Thanks to Helmut Grohne for the report (Closes: 893441)
  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:55 +0200

kdeplasma-addons (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:46 +0100

kdeplasma-addons (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:55 +0200

kdeplasma-addons (4:5.12.5-0ubuntu3) cosmic; urgency=medium

  * Tighten breaks/replaces from last upload to less than source version

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Jun 2018 17:13:31 +0100

kdeplasma-addons (4:5.12.5-0ubuntu2) cosmic; urgency=medium

  * Move konsoleprofile widget and appdata to the correct plasma-widgets-
    addons package. Add suitable breaks/replaces

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Jun 2018 16:08:11 +0100

kdeplasma-addons (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:43 +0100

kdeplasma-addons (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:41 +0200

kdeplasma-addons (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:04 +0100

kdeplasma-addons (4:5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:51 +0100

kdeplasma-addons (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:44 +0100

kdeplasma-addons (4:5.12.0-3) sid; urgency=medium

  * New revision
  * Limit the optional qtwebengine dependency to the arches where it's present
  * Install the dict applet only if we could build it
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 Feb 2018 21:42:07 +0100

kdeplasma-addons (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:31 +0100

kdeplasma-addons (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.


=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.45.0~),
               kinit-dev,
               kross-dev (>= 5.45.0~),
               libboost-dev,
               libgee-0.8-dev | libgee-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5activities-dev (>= 5.42.0~),
               libkf5archive-dev (>= 5.45.0~),
               libkf5config-dev (>= 5.45.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5declarative-dev (>= 5.45.0~),
               libkf5holidays-dev (>= 1:5.45.0~),
               libkf5i18n-dev (>= 5.45.0~),
               libkf5iconthemes-dev (>= 5.45.0~),
               libkf5itemmodels-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.45.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.45.0~),
               libkf5newstuff-dev (>= 5.45.0~),
               libkf5notifications-dev (>= 5.45.0~),
               libkf5plasma-dev (>= 5.45.0~),
               libkf5runner-dev (>= 5.45.0~),
               libkf5service-dev (>= 5.45.0~),
               libkf5sonnet-dev (>= 5.45.0~),
               libkf5sysguard-dev (>= 4:5.13.5~),
               libkf5unitconversion-dev (>= 5.45.0~),
               libkf5windowsystem-dev (>= 5.45.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libscim-dev,
               libx11-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-shm0-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.13.5~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtwebengine5-dev (>= 5.9.0~) [amd64 arm64 armhf i386 mipsel],
               shared-mime-info,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons

Package: kdeplasma-addons-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 5
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.
Multi-Arch: foreign

Package: kwin-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-x11 (>= 4:5.13) | kwin,
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Replaces: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 5 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-calendar-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 5
 This package contains additional Plasma 5 calendar plugins that are used in
 the Plasma desktop.
 .
 Currently, it only includes the astronomical plugin for Plasma's calendar.
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-dataengines-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kross,
         plasma-framework,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-widgets-addons (<< ${source:Version})
Replaces: plasma-widgets-addons (<< ${source:Version})
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 5
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 5 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Characters (Special Characters)
  * Converter (Unit Converter)
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Media Wiki (Wikipedia, Wikitravel, Techbase, Userbase)
  * Spell Checker
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 5
 This package contains additional Plasma 5 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool5,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-framework,
         plasma-workspace (>= 4:5.13),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kio,
         qml-module-org-kde-purpose,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-qtwebengine [!ppc64el !s390x],
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ksysguard (>= 4:5.13)
Breaks: plasma-dataengines-addons (<< ${source:Version}),
        plasma-wallpapers-addons (<< ${source:Version})
Replaces: plasma-dataengines-addons (<< ${source:Version}),
          plasma-wallpapers-addons (<< ${source:Version})
Description: additional widgets for Plasma 5
 This package contains additional Plasma 5 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Activity pager
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic
  * Dictionary
  * Diskquota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping
  * Keyboard Indicartor
  * Kicker Application Dashboard
  * Konsole Profiles
  * Media Frame
  * Minimize all Windows
  * Notes
  * Quicklaunch
  * Quick Share
  * Show Desktop
  * System Load Viewer
  * Timer
  * Userswitcher
  * Weather Report
  * Web Browser
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

## kdeplasma-addons 5.14.5.1

=== applets/comic/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.comic\")

set(comic_SRCS
    comic.cpp
    comicmodel.cpp
    comicupdater.cpp
    comicarchivejob.cpp
    comicarchivedialog.cpp
    checknewstrips.cpp
    comicdata.cpp
    comicinfo.cpp
    comicsaver.cpp
    stripselector.cpp
    activecomicmodel.cpp
)

ki18n_wrap_ui(comic_SRCS comicarchivedialog.ui
)


add_library(plasma_applet_comic MODULE ${comic_SRCS})

kcoreaddons_desktop_to_json(plasma_applet_comic package/metadata.desktop SERVICE_TYPES plasma-applet.desktop)

target_link_libraries(plasma_applet_comic
                      Qt5::Gui
                      Qt5::Widgets
                      KF5::Plasma
                      KF5::I18n
                      KF5::KIOCore
                      KF5::KIOWidgets
                      KF5::NewStuff
                      KF5::Notifications
                      KF5::Archive)


install(TARGETS plasma_applet_comic DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)
#install(FILES plasma-comic-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES comic.knsrc DESTINATION ${KDE_INSTALL_CONFDIR})
plasma_install_package(package org.kde.plasma.comic)

=== runners/dictionary/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_krunner_dictionary")

set(dictionaryrunner_SRCS dictionaryrunner.cpp dictionarymatchengine.cpp)
set(kcm_dictionaryrunner_SRCS dictionaryrunner_config.cpp)

add_library(krunner_dictionary MODULE ${dictionaryrunner_SRCS})
add_library(kcm_krunner_dictionary MODULE ${kcm_dictionaryrunner_SRCS})

target_link_libraries(krunner_dictionary KF5::Runner KF5::I18n)
target_link_libraries(kcm_krunner_dictionary KF5::Runner KF5::I18n KF5::KCMUtils)

install(TARGETS krunner_dictionary kcm_krunner_dictionary DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-runner-dictionary.desktop plasma-runner-dictionary_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
kdeplasma-addons (4:5.14.5.1-2+rpi2) bullseye-staging; urgency=medium

  * Remove armhf from architecture list of qml-module-qtwebengine dependency.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 12 Oct 2019 14:12:46 +0000

kdeplasma-addons (4:5.14.5.1-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:5.12.4-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 05 Apr 2018 14:07:17 +0000]
  * Remove armhf from qtwebengine architectures, we don't have 
    qtwebengine in Raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 08 Oct 2019 23:53:11 +0000

kdeplasma-addons (4:5.14.5.1-2) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Add dependency on qml-module-qtwebengine (Closes: 925406)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Backport upstream commit 959443f85ec94d0748d536a07edfa5a68c7d254b to fix
    build with newer KF5; patch upstream_Fix-build.patch.
  * Explicitly add the gettext build dependency.
  * Drop the migration from kdeplasma-addons-dbg, no more needed after two
    Debian stable releases.
  * Do not use the ${shlibs:Depends} substvar for kdeplasma-addons-data, as
    it is an arch:all package.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Oct 2019 07:48:46 +0200

kdeplasma-addons (4:5.14.5.1-1) unstable; urgency=medium

  * New upstream bugfix release (5.14.5.1).
    - [weather] Center align the warning heading (fba8a13f)
    - [weather] Fix weather Notices tab not showing (46204a5e)
    - Translation updates (556106bd, dbf8de65, 97c86def)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Feb 2019 19:39:25 +0100

kdeplasma-addons (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:46 -0300

kdeplasma-addons (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:55 -0300

=== debian/control ===
--- 
+++ 
@@ -5,35 +5,36 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.45.0~),
+               extra-cmake-modules (>= 5.50.0~),
+               gettext,
                kinit-dev,
-               kross-dev (>= 5.45.0~),
+               kross-dev (>= 5.50.0~),
                libboost-dev,
                libgee-0.8-dev | libgee-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
                libkf5activities-dev (>= 5.42.0~),
-               libkf5archive-dev (>= 5.45.0~),
-               libkf5config-dev (>= 5.45.0~),
+               libkf5archive-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.50.0~),
                libkf5configwidgets-dev (>= 5.42.0~),
-               libkf5coreaddons-dev (>= 5.45.0~),
-               libkf5declarative-dev (>= 5.45.0~),
-               libkf5holidays-dev (>= 1:5.45.0~),
-               libkf5i18n-dev (>= 5.45.0~),
-               libkf5iconthemes-dev (>= 5.45.0~),
+               libkf5coreaddons-dev (>= 5.50.0~),
+               libkf5declarative-dev (>= 5.50.0~),
+               libkf5holidays-dev (>= 1:5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5iconthemes-dev (>= 5.50.0~),
                libkf5itemmodels-dev (>= 5.42.0~),
-               libkf5kcmutils-dev (>= 5.45.0~),
+               libkf5kcmutils-dev (>= 5.50.0~),
                libkf5kdelibs4support-dev (>= 5.42.0~),
-               libkf5kio-dev (>= 5.45.0~),
-               libkf5newstuff-dev (>= 5.45.0~),
-               libkf5notifications-dev (>= 5.45.0~),
-               libkf5plasma-dev (>= 5.45.0~),
-               libkf5runner-dev (>= 5.45.0~),
-               libkf5service-dev (>= 5.45.0~),
-               libkf5sonnet-dev (>= 5.45.0~),
-               libkf5sysguard-dev (>= 4:5.13.5~),
-               libkf5unitconversion-dev (>= 5.45.0~),
-               libkf5windowsystem-dev (>= 5.45.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5newstuff-dev (>= 5.50.0~),
+               libkf5notifications-dev (>= 5.50.0~),
+               libkf5plasma-dev (>= 5.50.0~),
+               libkf5runner-dev (>= 5.50.0~),
+               libkf5service-dev (>= 5.50.0~),
+               libkf5sonnet-dev (>= 5.50.0~),
+               libkf5sysguard-dev,
+               libkf5unitconversion-dev (>= 5.50.0~),
+               libkf5windowsystem-dev (>= 5.50.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                libscim-dev,
                libx11-dev,
@@ -43,19 +44,19 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.13.5~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
-               qtwebengine5-dev (>= 5.9.0~) [amd64 arm64 armhf i386 mipsel],
+               plasma-workspace-dev (>= 4:5.7~),
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
+               qtwebengine5-dev (>= 5.11.0~) [amd64 arm64 i386 mipsel],
                shared-mime-info,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
 
 Package: kdeplasma-addons-data
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: locale files for kdeplasma-addons
@@ -69,7 +70,7 @@
 Package: kwin-addons
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.13) | kwin,
+         kwin-x11 (>= 4:5.14) | kwin,
          plasma-framework,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -106,8 +107,6 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-widgets-addons (<< ${source:Version})
-Replaces: plasma-widgets-addons (<< ${source:Version})
 Description: additional data engines for Plasma
  This package contains additional Plasma data engines shipped in Plasma 5
  addons module. These engines are needed by some Plasma  5 widget shipped with
@@ -162,7 +161,7 @@
          kpackagetool5,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework,
-         plasma-workspace (>= 4:5.13),
+         plasma-workspace (>= 4:5.14),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -172,15 +171,11 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtwebengine [!ppc64el !s390x],
+         qml-module-qtwebengine [amd64 arm64 i386 mipsel],
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: ksysguard (>= 4:5.13)
-Breaks: plasma-dataengines-addons (<< ${source:Version}),
-        plasma-wallpapers-addons (<< ${source:Version})
-Replaces: plasma-dataengines-addons (<< ${source:Version}),
-          plasma-wallpapers-addons (<< ${source:Version})
+Recommends: ksysguard (>= 4:5.14)
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
  addons module. Install it if you want a variety of widgets on your Plasma

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	dh_install
	# Try to copy the webengine dependant applet
	-cp -r debian/tmp/usr/lib/*/qt5/qml/org/kde/plasma/private/dict/ \
	    debian/plasma-widgets-addons/usr/lib/$${DEB_HOST_MULTIARCH}/qt5/qml/org/kde/plasma/private/
	-cp -r debian/tmp/usr/share/plasma/plasmoids/org.kde.plasma_applet_dict/ \
	    debian/plasma-widgets-addons/usr/share/plasma/plasmoids/
	-cp debian/tmp/usr/share/icons/hicolor/scalable/apps/accessories-dictionary.svgz \
	    debian/plasma-widgets-addons/usr/share/icons/hicolor/scalable/apps/
	-cp debian/tmp/usr/share/kservices5/plasma-applet-org.kde.plasma_applet_dict.desktop \
	    debian/plasma-widgets-addons/usr/share/kservices5/
	-cp debian/tmp/usr/share/metainfo/org.kde.plasma_applet_dict.appdata.xml \
	    debian/plasma-widgets-addons/usr/share/metainfo/
	-cp debian/tmp/usr/share/kservices5/plasma-applet-org.kde.plasma.webbrowser.desktop \
	    debian/plasma-widgets-addons/usr/share/kservices5/
	-cp debian/tmp/usr/share/metainfo/org.kde.plasma.webbrowser.appdata.xml \
	    debian/plasma-widgets-addons/usr/share/metainfo/
	-cp -r debian/tmp/usr/share/plasma/plasmoids/org.kde.plasma.webbrowser/ \
	    debian/plasma-widgets-addons/usr/share/plasma/plasmoids/

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kdeplasma-addons 5.15.4

=== debian/changelog ===
kdeplasma-addons (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:07 +0100

kdeplasma-addons (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:34 +0000

kdeplasma-addons (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:12 +0000

kdeplasma-addons (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:04 +0000

kdeplasma-addons (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:39 +0000

kdeplasma-addons (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:55 +0000

kdeplasma-addons (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:51 +0000

kdeplasma-addons (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:55 +0000

=== debian/control ===
--- 
+++ 
@@ -5,36 +5,35 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.50.0~),
-               gettext,
-               kinit-dev,
-               kross-dev (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
+               kinit-dev (>= 5.54.0~),
+               kross-dev (>= 5.54.0~),
                libboost-dev,
                libgee-0.8-dev | libgee-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.42.0~),
-               libkf5archive-dev (>= 5.50.0~),
-               libkf5config-dev (>= 5.50.0~),
-               libkf5configwidgets-dev (>= 5.42.0~),
-               libkf5coreaddons-dev (>= 5.50.0~),
-               libkf5declarative-dev (>= 5.50.0~),
-               libkf5holidays-dev (>= 1:5.50.0~),
-               libkf5i18n-dev (>= 5.50.0~),
-               libkf5iconthemes-dev (>= 5.50.0~),
-               libkf5itemmodels-dev (>= 5.42.0~),
-               libkf5kcmutils-dev (>= 5.50.0~),
-               libkf5kdelibs4support-dev (>= 5.42.0~),
-               libkf5kio-dev (>= 5.50.0~),
-               libkf5newstuff-dev (>= 5.50.0~),
-               libkf5notifications-dev (>= 5.50.0~),
-               libkf5plasma-dev (>= 5.50.0~),
-               libkf5runner-dev (>= 5.50.0~),
-               libkf5service-dev (>= 5.50.0~),
-               libkf5sonnet-dev (>= 5.50.0~),
-               libkf5sysguard-dev,
-               libkf5unitconversion-dev (>= 5.50.0~),
-               libkf5windowsystem-dev (>= 5.50.0~),
+               libkf5activities-dev (>= 5.54.0~),
+               libkf5archive-dev (>= 5.54.0~),
+               libkf5config-dev (>= 5.54.0~),
+               libkf5configwidgets-dev (>= 5.54.0~),
+               libkf5coreaddons-dev (>= 5.54.0~),
+               libkf5declarative-dev (>= 5.54.0~),
+               libkf5holidays-dev (>= 1:5.54.0~),
+               libkf5i18n-dev (>= 5.54.0~),
+               libkf5iconthemes-dev (>= 5.54.0~),
+               libkf5itemmodels-dev (>= 5.54.0~),
+               libkf5kcmutils-dev (>= 5.54.0~),
+               libkf5kdelibs4support-dev (>= 5.54.0~),
+               libkf5kio-dev (>= 5.54.0~),
+               libkf5newstuff-dev (>= 5.54.0~),
+               libkf5notifications-dev (>= 5.54.0~),
+               libkf5plasma-dev (>= 5.54.0~),
+               libkf5runner-dev (>= 5.54.0~),
+               libkf5service-dev (>= 5.54.0~),
+               libkf5sonnet-dev (>= 5.54.0~),
+               libkf5sysguard-dev (>= 4:5.15.4~),
+               libkf5unitconversion-dev (>= 5.54.0~),
+               libkf5windowsystem-dev (>= 5.54.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                libscim-dev,
                libx11-dev,
@@ -44,19 +43,19 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.7~),
-               qtbase5-dev (>= 5.11.0~),
-               qtdeclarative5-dev (>= 5.11.0~),
-               qtwebengine5-dev (>= 5.11.0~) [amd64 arm64 i386 mipsel],
+               plasma-workspace-dev (>= 4:5.15.4~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
+               qtwebengine5-dev (>= 5.9.0~) [amd64 arm64 armhf i386 mipsel],
                shared-mime-info,
-Standards-Version: 4.4.1
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
 
 Package: kdeplasma-addons-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: locale files for kdeplasma-addons
@@ -71,7 +70,7 @@
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kwin-x11 (>= 4:5.14) | kwin,
-         plasma-framework,
+         plasma-framework (>= 5.54.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: kwin-data (<< 4:5.1.0.1+git20141031.1444)
@@ -85,7 +84,7 @@
 Package: plasma-calendar-addons
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-framework,
+         plasma-framework (>= 5.54.0~),
          qml-module-qtquick-controls,
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
@@ -103,10 +102,12 @@
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kross,
-         plasma-framework,
+         plasma-framework (>= 5.54.0~),
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: plasma-widgets-addons (<< ${source:Version})
+Replaces: plasma-widgets-addons (<< ${source:Version})
 Description: additional data engines for Plasma
  This package contains additional Plasma data engines shipped in Plasma 5
  addons module. These engines are needed by some Plasma  5 widget shipped with
@@ -140,7 +141,7 @@
 Package: plasma-wallpapers-addons
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-framework,
+         plasma-framework (>= 5.54.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: additional wallpaper plugins for Plasma 5
@@ -160,7 +161,7 @@
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kpackagetool5,
          plasma-dataengines-addons (= ${binary:Version}),
-         plasma-framework,
+         plasma-framework (>= 5.54.0~),
          plasma-workspace (>= 4:5.14),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
@@ -171,11 +172,15 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtwebengine [amd64 arm64 i386 mipsel],
+         qml-module-qtwebengine [!ppc64el !s390x],
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: ksysguard (>= 4:5.14)
+Breaks: plasma-dataengines-addons (<< ${source:Version}),
+        plasma-wallpapers-addons (<< ${source:Version})
+Replaces: plasma-dataengines-addons (<< ${source:Version}),
+          plasma-wallpapers-addons (<< ${source:Version})
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
  addons module. Install it if you want a variety of widgets on your Plasma

## kdeplasma-addons 5.16.5

=== debian/changelog ===
kdeplasma-addons (4:5.16.5-0ubuntu2) eoan; urgency=medium

  * Drop obsolete (<< ) Breaks/Replaces

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 18 Sep 2019 18:32:09 +0100

kdeplasma-addons (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:46 +0100

kdeplasma-addons (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:34 +0100

kdeplasma-addons (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:54 +0100

kdeplasma-addons (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:51 +0100

kdeplasma-addons (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:18 +0100

kdeplasma-addons (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * Move knsrc files to /usr/share/knsrcfiles/ and add maintscript to
    remove from /etc/xdg/.
  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:33 +0100

kdeplasma-addons (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * Remove all showdesktop applet files from install files. This has
    been moved to plasma-desktop source.
  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:41 +0100

kdeplasma-addons (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,35 +5,35 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kinit-dev (>= 5.54.0~),
-               kross-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               kinit-dev (>= 5.58.0~),
+               kross-dev (>= 5.58.0~),
                libboost-dev,
                libgee-0.8-dev | libgee-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.54.0~),
-               libkf5archive-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5declarative-dev (>= 5.54.0~),
-               libkf5holidays-dev (>= 1:5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libkf5itemmodels-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5kdelibs4support-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5newstuff-dev (>= 5.54.0~),
-               libkf5notifications-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5runner-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5sonnet-dev (>= 5.54.0~),
-               libkf5sysguard-dev (>= 4:5.15.4~),
-               libkf5unitconversion-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               libkf5activities-dev (>= 5.58.0~),
+               libkf5archive-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5declarative-dev (>= 5.58.0~),
+               libkf5holidays-dev (>= 1:5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5iconthemes-dev (>= 5.58.0~),
+               libkf5itemmodels-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5kdelibs4support-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5newstuff-dev (>= 5.58.0~),
+               libkf5notifications-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5runner-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
+               libkf5sonnet-dev (>= 5.58.0~),
+               libkf5sysguard-dev (>= 4:5.16.5~),
+               libkf5unitconversion-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                libscim-dev,
                libx11-dev,
@@ -43,7 +43,7 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.4~),
+               plasma-workspace-dev (>= 4:5.16.5~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
                qtwebengine5-dev (>= 5.9.0~) [amd64 arm64 armhf i386 mipsel],
@@ -106,8 +106,6 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-widgets-addons (<< ${source:Version})
-Replaces: plasma-widgets-addons (<< ${source:Version})
 Description: additional data engines for Plasma
  This package contains additional Plasma data engines shipped in Plasma 5
  addons module. These engines are needed by some Plasma  5 widget shipped with
@@ -177,10 +175,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: ksysguard (>= 4:5.14)
-Breaks: plasma-dataengines-addons (<< ${source:Version}),
-        plasma-wallpapers-addons (<< ${source:Version})
-Replaces: plasma-dataengines-addons (<< ${source:Version}),
-          plasma-wallpapers-addons (<< ${source:Version})
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
  addons module. Install it if you want a variety of widgets on your Plasma
